漏洞信息详情

OpenCV 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201912-265
  • 危害等级: 中危
  • CVE编号: CVE-2019-19624
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2019-12-06
  • 威胁类型: 远程
  • 更新时间: 2019-12-18
  • 厂        商:
  • 漏洞来源:

漏洞简介

OpenCV是一款开源的、跨平台的、轻量级计算机视觉库。

OpenCV 4.1.1之前版本中存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/opencv/opencv/commit/d1615ba11a93062b1429fce9f0f638d1572d3418

参考网址

来源:MISC

链接:https://github.com/opencv/opencv/commit/d1615ba11a93062b1429fce9f0f638d1572d3418

来源:MISC

链接:https://github.com/opencv/opencv/issues/14554

来源:MISC

链接:https://access.redhat.com/security/cve/cve-2019-19624

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-19624

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多